## org.apache.poi.hssf.record
Class HorizontalPageBreakRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.PageBreakRecord
                      org.apache.poi.hssf.record.HorizontalPageBreakRecord

    public final class HorizontalPageBreakRecord

extends PageBreakRecord

HorizontalPageBreak (0x001B) record that stores page breaks at rows

Author:
  Danny Mui (dmui at apache dot org)
See Also:
  `PageBreakRecord`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hssf.record.PageBreakRecord
`PageBreakRecord.Break`

Field Summary
`static short` `sid`

Constructor Summary
`HorizontalPageBreakRecord()` Creates an empty horizontal page break record
`HorizontalPageBreakRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`short` `getSid()` return the non static version of the id for this record.

Methods inherited from class org.apache.poi.hssf.record.PageBreakRecord
`addBreak, getBreak, getBreaks, getBreaksIterator, getDataSize, getNumBreaks, isEmpty, removeBreak, serialize, toString`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### HorizontalPageBreakRecord

    public HorizontalPageBreakRecord()

  Creates an empty horizontal page break record

### HorizontalPageBreakRecord

    public HorizontalPageBreakRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.